Solid Edge Part Type Library
TransformToSynchronousSheetmetal Method
Base face for conversion. We need to pick a face that yields in uniform thickness for all flanges and tabs.
Number of rip edges.
Array of edges that are to be used as rib edges.
Specifies bend relief type. Following two feature property constants are valid: igRectangularBendRelief and igFilletBendRelief.
Specifies bend relief width.
Specifies bend relief depth.
Specifies bend radius.
Specifies bend neutral factor.
Description
Syntax
Visual Basic
Public Sub TransformToSynchronousSheetmetal( _
   ByVal pRefFace As Object, _
   Optional ByVal nEdgeNum As Long = 0, _
   Optional ByRef EdgesArray() As Object, _
   Optional ByVal BRType As Variant, _
   Optional ByVal dBRWidth As Double = 0, _
   Optional ByVal dBRLength As Double = 0, _
   Optional ByVal dBendRadius As Double = 0, _
   Optional ByVal dNeutralFactor As Double = 0 _
) 
Parameters
pRefFace
Base face for conversion. We need to pick a face that yields in uniform thickness for all flanges and tabs.
nEdgeNum
Number of rip edges.
EdgesArray
Array of edges that are to be used as rib edges.
BRType
Specifies bend relief type. Following two feature property constants are valid: igRectangularBendRelief and igFilletBendRelief.
dBRWidth
Specifies bend relief width.
dBRLength
Specifies bend relief depth.
dBendRadius
Specifies bend radius.
dNeutralFactor
Specifies bend neutral factor.
Remarks
Some of the arguments are declared as optional but we cannot mix and match VARIANTS and non-VARIANTS as optional arguments. Hence requesting users to pass all the arguments.
Example
Option Infer On

Imports System
Imports System.Runtime.InteropServices

Namespace Examples
    Friend Class Program
        <STAThread>
        Shared Sub Main(ByVal args() As String)
            Dim application As SolidEdgeFramework.Application = Nothing
            Dim partDocument As SolidEdgePart.PartDocument = Nothing
            Dim models As SolidEdgePart.Models = Nothing
            Dim model As SolidEdgePart.Model = Nothing
            Dim body As SolidEdgeGeometry.Body = Nothing
            Dim faces As SolidEdgeGeometry.Faces = Nothing
            Dim face As SolidEdgeGeometry.Face = Nothing

            Try
                ' See "Handling 'Application is Busy' and 'Call was Rejected By Callee' errors" topic.
                OleMessageFilter.Register()

                ' Attempt to connect to a running instance of Solid Edge.
                application = DirectCast(Marshal.GetActiveObject("SolidEdge.Application"), SolidEdgeFramework.Application)

                ' C:\Program Files\Solid Edge STX\Training\base.par
                partDocument = CType(application.ActiveDocument, SolidEdgePart.PartDocument)

                models = partDocument.Models
                model = models.Item(1)
                body = CType(model.Body, SolidEdgeGeometry.Body)

                faces = CType(body.Faces(SolidEdgeGeometry.FeatureTopologyQueryTypeConstants.igQueryAll), SolidEdgeGeometry.Faces)
                face = CType(faces.Item(6), SolidEdgeGeometry.Face)

                Dim EdgesArray = Array.CreateInstance(GetType(Object), 0)
                Dim BrType = SolidEdgeConstants.FeaturePropertyConstants.igNone
                Dim dBRWidth As Double = 0.001
                Dim dBRLength As Double = 0.0
                Dim dBendRadius As Double = 0.001
                Dim dNeutralFactor As Double = 0.0

                partDocument.TransformToSynchronousSheetmetal(face, 0, EdgesArray, BrType, dBRWidth, dBRLength, dBendRadius, dNeutralFactor)
            Catch ex As System.Exception
                Console.WriteLine(ex)
            Finally
                OleMessageFilter.Unregister()
            End Try
        End Sub
    End Class
End Namespace
using System;
using System.Runtime.InteropServices;

namespace Examples
{
    class Program
    {
        [STAThread]
        static void Main(string[] args)
        {
            SolidEdgeFramework.Application application = null;
            SolidEdgePart.PartDocument partDocument = null;
            SolidEdgePart.Models models = null;
            SolidEdgePart.Model model = null;
            SolidEdgeGeometry.Body body = null;
            SolidEdgeGeometry.Faces faces = null;
            SolidEdgeGeometry.Face face = null;

            try
            {
                // See "Handling 'Application is Busy' and 'Call was Rejected By Callee' errors" topic.
                OleMessageFilter.Register();

                // Attempt to connect to a running instance of Solid Edge.
                application = (SolidEdgeFramework.Application)Marshal.GetActiveObject("SolidEdge.Application");

                // C:\Program Files\Solid Edge STX\Training\base.par
                partDocument = (SolidEdgePart.PartDocument)application.ActiveDocument;

                models = partDocument.Models;
                model = models.Item(1);
                body = (SolidEdgeGeometry.Body)model.Body;

                faces = (SolidEdgeGeometry.Faces)body.Faces[SolidEdgeGeometry.FeatureTopologyQueryTypeConstants.igQueryAll];
                face = (SolidEdgeGeometry.Face)faces.Item(6);

                var EdgesArray = Array.CreateInstance(typeof(object), 0);
                var BrType = SolidEdgeConstants.FeaturePropertyConstants.igNone;
                double dBRWidth = 0.001;
                double dBRLength = 0.0;
                double dBendRadius = 0.001;
                double dNeutralFactor = 0.0;

                partDocument.TransformToSynchronousSheetmetal(face, 0, ref EdgesArray, BrType, dBRWidth, dBRLength, dBendRadius, dNeutralFactor);
            }
            catch (System.Exception ex)
            {
                Console.WriteLine(ex);
            }
            finally
            {
                OleMessageFilter.Unregister();
            }
        }
    }
}
See Also

PartDocument Object  | PartDocument Members  | Solid Edge ST5 - What's New